/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var defineProperty = require('../_chunks/dep-7a6528ec.js');
var _typeof = require('../_chunks/dep-c83f28a0.js');
var React = require('react');
var log = require('../_chunks/dep-cc4e3925.js');
var isFunction = require('../_chunks/dep-e2240b05.js');
require('../_chunks/dep-912bd8a2.js');
require('../_chunks/dep-837f0312.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { defineProperty._defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function parseTNode(renderNode, renderParams, defaultNode) {
  var node = null;
  if (typeof renderNode === "function") {
    node = renderNode(renderParams);
  } else if (renderNode === true) {
    node = defaultNode;
  } else if (renderNode !== null) {
    node = renderNode !== null && renderNode !== void 0 ? renderNode : defaultNode;
  }
  return node;
}
function parseContentTNode(tnode, props) {
  if (isFunction.isFunction(tnode)) return tnode(props);
  if (!tnode || ["string", "number", "boolean"].includes(_typeof._typeof(tnode))) return tnode;
  try {
    return /*#__PURE__*/React__default["default"].cloneElement(tnode, _objectSpread({}, props));
  } catch (e) {
    log.log.warn("parseContentTNode", "".concat(tnode, " is not a valid ReactNode"));
    return null;
  }
}

exports["default"] = parseTNode;
exports.parseContentTNode = parseContentTNode;
//# sourceMappingURL=parseTNode.js.map
