/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var CollapseContext = /*#__PURE__*/React__default["default"].createContext({
  defaultExpandAll: false,
  disabled: false,
  expandIconPlacement: "left",
  expandOnRowClick: true,
  expandIcon: true
});
var useCollapseContext = function useCollapseContext() {
  return React__default["default"].useContext(CollapseContext);
};

exports["default"] = CollapseContext;
exports.useCollapseContext = useCollapseContext;
//# sourceMappingURL=CollapseContext.js.map
