/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');

var useLatest = function useLatest(value) {
  var ref = React.useRef(value);
  ref.current = value;
  return ref;
};

exports["default"] = useLatest;
//# sourceMappingURL=useLatest.js.map
