/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');

var usePropRef = function usePropRef(prop) {
  var ref = React.useRef(prop);
  React.useEffect(function () {
    ref.current = prop;
  }, [prop]);
  return ref;
};

exports.usePropRef = usePropRef;
//# sourceMappingURL=usePropsRef.js.map
