/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var slicedToArray = require('../_chunks/dep-3012da29.js');
var React = require('react');
var hooks_usePersistFn = require('./usePersistFn.js');
require('../_chunks/dep-7e3b8125.js');

var useSwitch = function useSwitch() {
  var initialState = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
  var _useState = React.useState(initialState),
    _useState2 = slicedToArray._slicedToArray(_useState, 2),
    state = _useState2[0],
    setState = _useState2[1];
  return [state, {
    on: hooks_usePersistFn.usePersistFn(function () {
      return setState(true);
    }),
    off: hooks_usePersistFn.usePersistFn(function () {
      return setState(false);
    }),
    set: setState
  }];
};

exports["default"] = useSwitch;
//# sourceMappingURL=useSwitch.js.map
