/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var slicedToArray = require('../_chunks/dep-3012da29.js');
var React = require('react');
var common = require('../_chunks/dep-59a9c125.js');
var _util_style = require('../_chunks/dep-68db2ca6.js');
var hooks_useMutationObserver = require('./useMutationObserver.js');
require('../_chunks/dep-7e3b8125.js');
require('../_chunks/dep-6e448b65.js');
require('../_chunks/dep-912bd8a2.js');
require('../_chunks/dep-c83f28a0.js');
require('../_chunks/dep-78e8fc97.js');
require('../_chunks/dep-0fccdcfb.js');
require('./useLatest.js');
require('../_chunks/dep-c73e0aa5.js');
require('../_chunks/dep-84fd1465.js');
require('../_chunks/dep-023db433.js');
require('../_chunks/dep-77879fb6.js');
require('../_chunks/dep-356859aa.js');
require('../_chunks/dep-e2240b05.js');
require('../_chunks/dep-837f0312.js');
require('../_chunks/dep-413bc6a7.js');
require('../_chunks/dep-84d18206.js');
require('../_chunks/dep-5e1fc2cd.js');
require('../_chunks/dep-0be4d457.js');
require('../_chunks/dep-6058edb6.js');
require('../_chunks/dep-becc25b2.js');
require('../_chunks/dep-ba79870d.js');
require('../_chunks/dep-680d1e3e.js');
require('../_chunks/dep-a3962a45.js');
require('../_chunks/dep-b6bde0bc.js');
require('../_chunks/dep-f90d944e.js');
require('../_chunks/dep-46616204.js');
require('../_chunks/dep-7bb447f9.js');
require('../_chunks/dep-5941343f.js');
require('../_chunks/dep-665eea2b.js');

function _createForOfIteratorHelper(r, e) { var t = "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (!t) { if (Array.isArray(r) || (t = _unsupportedIterableToArray(r)) || e && r && "number" == typeof r.length) { t && (r = t); var _n = 0, F = function F() {}; return { s: F, n: function n() { return _n >= r.length ? { done: !0 } : { done: !1, value: r[_n++] }; }, e: function e(r) { throw r; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var o, a = !0, u = !1; return { s: function s() { t = t.call(r); }, n: function n() { var r = t.next(); return a = r.done, r; }, e: function e(r) { u = !0, o = r; }, f: function f() { try { a || null == t["return"] || t["return"](); } finally { if (u) throw o; } } }; }
function _unsupportedIterableToArray(r, a) { if (r) { if ("string" == typeof r) return _arrayLikeToArray(r, a); var t = {}.toString.call(r).slice(8, -1); return "Object" === t && r.constructor && (t = r.constructor.name), "Map" === t || "Set" === t ? Array.from(r) : "Arguments" === t || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t) ? _arrayLikeToArray(r, a) : void 0; } }
function _arrayLikeToArray(r, a) { (null == a || a > r.length) && (a = r.length); for (var e = 0, n = Array(a); e < a; e++) n[e] = r[e]; return n; }
function useThemeColor() {
  var _document;
  var _useState = React.useState(_util_style.getCurrentPrimaryColor("--td-text-color-primary")),
    _useState2 = slicedToArray._slicedToArray(_useState, 2),
    color = _useState2[0],
    setColor = _useState2[1];
  var _useState3 = React.useState(_util_style.getCurrentPrimaryColor("--td-bg-color-specialcomponent")),
    _useState4 = slicedToArray._slicedToArray(_useState3, 2),
    bgColor = _useState4[0],
    setBgColor = _useState4[1];
  var targetElement = (_document = document) === null || _document === void 0 ? void 0 : _document.documentElement;
  hooks_useMutationObserver["default"](targetElement, function (mutationsList) {
    var _iterator = _createForOfIteratorHelper(mutationsList),
      _step;
    try {
      for (_iterator.s(); !(_step = _iterator.n()).done;) {
        var mutation = _step.value;
        if (mutation.type === "attributes") {
          if (mutation.attributeName === common.THEME_MODE) {
            setColor(_util_style.getCurrentPrimaryColor("--td-text-color-primary"));
            setBgColor(_util_style.getCurrentPrimaryColor("--td-bg-color-specialcomponent"));
          }
        }
      }
    } catch (err) {
      _iterator.e(err);
    } finally {
      _iterator.f();
    }
  });
  return {
    color: color,
    bgColor: bgColor
  };
}

exports["default"] = useThemeColor;
//# sourceMappingURL=useThemeColor.js.map
