/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var slicedToArray = require('../_chunks/dep-3012da29.js');
var React = require('react');
var ReactDOM = require('react-dom');
var imageViewer_ImageViewerMini = require('../_chunks/dep-92f915f5.js');
var imageViewer_defaultProps = require('./defaultProps.js');
var imageViewer_hooks_useImageScale = require('./hooks/useImageScale.js');
var imageViewer_hooks_useList = require('./hooks/useList.js');
var imageViewer_hooks_useViewerScale = require('./hooks/useViewerScale.js');
var hooks_useControlled = require('../hooks/useControlled.js');
var hooks_useDefaultProps = require('../hooks/useDefaultProps.js');
var _util_style = require('../_chunks/dep-68db2ca6.js');
var hooks_useAttach = require('../hooks/useAttach.js');
var isFunction = require('../_chunks/dep-e2240b05.js');
require('../_chunks/dep-7e3b8125.js');
require('../_chunks/dep-e358a1dc.js');
require('../_chunks/dep-7a6528ec.js');
require('../_chunks/dep-c83f28a0.js');
require('../_chunks/dep-608840a8.js');
require('classnames');
require('tdesign-icons-react');
require('../_chunks/dep-006cdaa7.js');
require('../_chunks/dep-cc4e3925.js');
require('../_chunks/dep-837f0312.js');
require('../_chunks/dep-6e448b65.js');
require('../_chunks/dep-912bd8a2.js');
require('../_chunks/dep-78e8fc97.js');
require('../_chunks/dep-0fccdcfb.js');
require('../_chunks/dep-b47ed304.js');
require('../hooks/useConfig.js');
require('../config-provider/ConfigContext.js');
require('../_chunks/dep-1debbc3e.js');
require('../_chunks/dep-b4e78a42.js');
require('dayjs');
require('../_chunks/dep-fdd584c5.js');
require('../_chunks/dep-84fd1465.js');
require('../_chunks/dep-023db433.js');
require('../_chunks/dep-77879fb6.js');
require('../_chunks/dep-356859aa.js');
require('../_chunks/dep-413bc6a7.js');
require('../_chunks/dep-84d18206.js');
require('../_chunks/dep-5e1fc2cd.js');
require('../_chunks/dep-0be4d457.js');
require('../_chunks/dep-6058edb6.js');
require('../_chunks/dep-cfe601e8.js');
require('../_chunks/dep-6c342676.js');
require('../_chunks/dep-8bd04901.js');
require('../_chunks/dep-2f3e85f6.js');
require('../_chunks/dep-3cfcca89.js');
require('../_chunks/dep-64afded1.js');
require('../_chunks/dep-a1d853fb.js');
require('../hooks/useGlobalIcon.js');
require('../hooks/useImagePreviewUrl.js');
require('../_chunks/dep-cb5dac3c.js');
require('../image/index.js');
require('../image/Image.js');
require('../_chunks/dep-3905781f.js');
require('../locale/LocalReceiver.js');
require('../config-provider/ConfigProvider.js');
require('../_chunks/dep-34def105.js');
require('../_chunks/dep-cc2fe55a.js');
require('../_chunks/dep-680d1e3e.js');
require('../_chunks/dep-a3962a45.js');
require('../_chunks/dep-b6bde0bc.js');
require('../_chunks/dep-f90d944e.js');
require('../_chunks/dep-46616204.js');
require('../image/defaultProps.js');
require('../space/index.js');
require('../space/Space.js');
require('react-is');
require('../_chunks/dep-f34d3a30.js');
require('../_chunks/dep-210ce7c8.js');
require('../space/defaultProps.js');
require('../tooltip/index.js');
require('../tooltip/Tooltip.js');
require('../popup/index.js');
require('../popup/Popup.js');
require('react-transition-group');
require('../_util/ref.js');
require('../_util/isFragment.js');
require('../common/Portal.js');
require('../hooks/useLayoutEffect.js');
require('../hooks/useAnimation.js');
require('../hooks/useMutationObserver.js');
require('../hooks/useLatest.js');
require('../_chunks/dep-c73e0aa5.js');
require('../_chunks/dep-becc25b2.js');
require('../_chunks/dep-ba79870d.js');
require('../_chunks/dep-7bb447f9.js');
require('../_chunks/dep-5941343f.js');
require('../_chunks/dep-665eea2b.js');
require('../hooks/usePopper.js');
require('@popperjs/core');
require('react-fast-compare');
require('../hooks/useWindowSize.js');
require('../popup/defaultProps.js');
require('../popup/hooks/useTrigger.js');
require('../_util/composeRefs.js');
require('../_util/listener.js');
require('../popup/utils/transition.js');
require('../_util/noop.js');
require('../_chunks/dep-00e10ad8.js');
require('../_chunks/dep-5d5d7b13.js');
require('../_chunks/dep-ba207e81.js');
require('../_chunks/dep-ed0d1cf9.js');
require('../popup/PopupPlugin.js');
require('../_util/react-render.js');
require('../common/PluginContainer.js');
require('../tooltip/defaultProps.js');
require('../tooltip/TooltipLite.js');
require('../hooks/useSwitch.js');
require('../hooks/usePersistFn.js');
require('../_chunks/dep-8c89cfa8.js');
require('../dialog/index.js');
require('../dialog/Dialog.js');
require('../hooks/useSetState.js');
require('../dialog/defaultProps.js');
require('../dialog/DialogCard.js');
require('../button/index.js');
require('../button/Button.js');
require('../hooks/useDomRefCallback.js');
require('../hooks/useRipple.js');
require('../_chunks/dep-8593a497.js');
require('../loading/index.js');
require('../loading/Loading.js');
require('../loading/gradient.js');
require('../loading/defaultProps.js');
require('../loading/plugin.js');
require('../button/defaultProps.js');
require('../_util/parseTNode.js');
require('../dialog/hooks/useDialogEsc.js');
require('../dialog/hooks/useLockStyle.js');
require('../_chunks/dep-d9b4b0dc.js');
require('../dialog/hooks/useDialogPosition.js');
require('../dialog/hooks/useDialogDrag.js');
require('../dialog/utils.js');
require('../_chunks/dep-dfe5fb78.js');
require('../dialog/plugin.js');
require('./hooks/useIconMap.js');
require('./hooks/useIndex.js');
require('./hooks/useMirror.js');
require('./hooks/usePosition.js');
require('./hooks/useRotate.js');
require('./hooks/useScale.js');
require('./utils.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var ImageViewer = function ImageViewer(originalProps) {
  var props = hooks_useDefaultProps["default"](originalProps, imageViewer_defaultProps.imageViewerDefaultProps);
  var attach = props.attach,
    mode = props.mode,
    trigger = props.trigger,
    images = props.images,
    title = props.title,
    imageScaleD = props.imageScale,
    viewerScaleD = props.viewerScale;
  var imageViewerAttach = hooks_useAttach["default"]("imageViewer", attach);
  var _useControlled = hooks_useControlled["default"](props, "visible", function (visible2, context) {
      var _props$onClose;
      !visible2 && (props === null || props === void 0 || (_props$onClose = props.onClose) === null || _props$onClose === void 0 ? void 0 : _props$onClose.call(props, context));
    }),
    _useControlled2 = slicedToArray._slicedToArray(_useControlled, 2),
    visible = _useControlled2[0],
    setVisible = _useControlled2[1];
  var _useState = React.useState(false),
    _useState2 = slicedToArray._slicedToArray(_useState, 2),
    visibled = _useState2[0],
    setVisibled = _useState2[1];
  var list = imageViewer_hooks_useList["default"](images);
  var imageScale = imageViewer_hooks_useImageScale["default"](imageScaleD);
  var viewerScale = imageViewer_hooks_useViewerScale["default"](viewerScaleD);
  var isMini = mode === "modeless";
  var close = function close(context) {
    setVisible(false, context);
    setTimeout(function () {
      return setVisibled(false);
    }, 196);
  };
  var open = function open() {
    if (!images) return;
    setVisible(true, null);
    setVisibled(true);
  };
  var uiImage = isFunction.isFunction(trigger) ? trigger({
    open: open,
    close: close,
    onOpen: open,
    onClose: close
  }) : trigger;
  var attachElement = React.useMemo(function () {
    if (!_util_style.canUseDocument || !imageViewerAttach) return null;
    if (typeof imageViewerAttach === "string") {
      return document.querySelector(imageViewerAttach);
    }
    if (isFunction.isFunction(imageViewerAttach)) {
      return imageViewerAttach();
    }
  }, [imageViewerAttach]);
  return /* @__PURE__ */React__default["default"].createElement(React__default["default"].Fragment, null, uiImage, (visibled || visible) && /*#__PURE__*/ReactDOM.createPortal(/* @__PURE__ */React__default["default"].createElement(imageViewer_ImageViewerMini.ImageModal, {
    title: title,
    visible: visible,
    images: list,
    isMini: isMini,
    imageScale: imageScale,
    viewerScale: viewerScale,
    zIndex: props.zIndex,
    defaultIndex: props.defaultIndex,
    index: props.index,
    onIndexChange: props.onIndexChange,
    onDownload: props.onDownload,
    draggable: props.draggable,
    closeOnOverlay: props.closeOnOverlay,
    closeBtn: props.closeBtn,
    showOverlay: props.showOverlay,
    closeOnEscKeydown: props.closeOnEscKeydown,
    onClose: close,
    onOpen: open,
    imageReferrerpolicy: props.imageReferrerpolicy
  }), attachElement));
};
ImageViewer.displayName = "ImageViewer";

exports["default"] = ImageViewer;
//# sourceMappingURL=ImageViewer.js.map
