/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var slicedToArray = require('../../_chunks/dep-3012da29.js');
var React = require('react');
require('../../_chunks/dep-7e3b8125.js');

var useRotate = function useRotate() {
  var rotRef = React.useRef(0);
  var _useState = React.useState(0),
    _useState2 = slicedToArray._slicedToArray(_useState, 2),
    rotateZ = _useState2[0],
    setRotateZ = _useState2[1];
  var onRotate = React.useCallback(function (ROTATE_COUNT) {
    setRotateZ(function (rotateZ2) {
      rotRef.current = rotateZ2 + ROTATE_COUNT;
      return rotateZ2 + ROTATE_COUNT;
    });
  }, []);
  var onResetRotate = React.useCallback(function () {
    var degreeToRotate = rotRef.current % 360;
    if (Math.abs(degreeToRotate) > 180) {
      degreeToRotate = (degreeToRotate + 360) % 360;
    }
    if (degreeToRotate !== 0) {
      setRotateZ(function (rotateZ2) {
        rotRef.current = rotateZ2 - degreeToRotate;
        return rotateZ2 - degreeToRotate;
      });
    }
  }, []);
  return {
    rotateZ: rotateZ,
    onResetRotate: onResetRotate,
    onRotate: onRotate
  };
};

exports["default"] = useRotate;
//# sourceMappingURL=useRotate.js.map
