/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var menu__util_type = require('./type.js');

var checkIsSubMenu = function checkIsSubMenu(child) {
  if (!child) return false;
  var displayName = child.type.displayName;
  return displayName === menu__util_type.MenuBlockType.SubMenu;
};
var checkIsMenuItem = function checkIsMenuItem(child) {
  if (!child) return false;
  var displayName = child.type.displayName;
  return displayName === menu__util_type.MenuBlockType.MenuItem;
};
var checkIsMenuGroup = function checkIsMenuGroup(child) {
  if (!child) return false;
  var displayName = child.type.displayName;
  return displayName === menu__util_type.MenuBlockType.MenuGroup;
};

exports.checkIsMenuGroup = checkIsMenuGroup;
exports.checkIsMenuItem = checkIsMenuItem;
exports.checkIsSubMenu = checkIsSubMenu;
//# sourceMappingURL=checkMenuType.js.map
