/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var menu__util_checkMenuType = require('./checkMenuType.js');
var menu__util_checkSubMenuChildrenActive = require('./checkSubMenuChildrenActive.js');
require('./type.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var checkSubMenuActive = function checkSubMenuActive(children, active) {
  return React__default["default"].Children.toArray(children).find(function (child) {
    return menu__util_checkMenuType.checkIsSubMenu(child) && (child.props.value === active || menu__util_checkSubMenuChildrenActive["default"](child.props.children, active));
  });
};

exports["default"] = checkSubMenuActive;
//# sourceMappingURL=checkSubMenuActive.js.map
