/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tag_Tag = require('./Tag.js');
var tag_CheckTag = require('./CheckTag.js');
var tag_CheckTagGroup = require('./CheckTagGroup.js');
var _util_forwardRefWithStatics = require('../_util/forwardRefWithStatics.js');
require('../_chunks/dep-7a6528ec.js');
require('../_chunks/dep-c83f28a0.js');
require('../_chunks/dep-e358a1dc.js');
require('react');
require('classnames');
require('tdesign-icons-react');
require('tinycolor2');
require('../_util/noop.js');
require('../hooks/useConfig.js');
require('../config-provider/ConfigContext.js');
require('../_chunks/dep-1debbc3e.js');
require('../_chunks/dep-b4e78a42.js');
require('dayjs');
require('../_chunks/dep-fdd584c5.js');
require('../_chunks/dep-84fd1465.js');
require('../_chunks/dep-023db433.js');
require('../_chunks/dep-912bd8a2.js');
require('../_chunks/dep-0fccdcfb.js');
require('../_chunks/dep-78e8fc97.js');
require('../_chunks/dep-77879fb6.js');
require('../_chunks/dep-356859aa.js');
require('../_chunks/dep-e2240b05.js');
require('../_chunks/dep-837f0312.js');
require('../_chunks/dep-413bc6a7.js');
require('../_chunks/dep-84d18206.js');
require('../_chunks/dep-5e1fc2cd.js');
require('../_chunks/dep-0be4d457.js');
require('../_chunks/dep-6058edb6.js');
require('../_chunks/dep-cfe601e8.js');
require('../_chunks/dep-6c342676.js');
require('../_chunks/dep-8bd04901.js');
require('../_chunks/dep-2f3e85f6.js');
require('../_chunks/dep-3cfcca89.js');
require('../_chunks/dep-64afded1.js');
require('../_chunks/dep-a1d853fb.js');
require('../hooks/useGlobalIcon.js');
require('./defaultProps.js');
require('../hooks/useDefaultProps.js');
require('../_chunks/dep-3012da29.js');
require('../_chunks/dep-7e3b8125.js');
require('../_chunks/dep-59a9c125.js');
require('../hooks/useControlled.js');
require('../_chunks/dep-00e10ad8.js');
require('../_chunks/dep-5d5d7b13.js');
require('../_chunks/dep-ba207e81.js');
require('../_chunks/dep-ed0d1cf9.js');
require('../_chunks/dep-665eea2b.js');
require('hoist-non-react-statics');

var Tag = _util_forwardRefWithStatics["default"](tag_Tag.TagFunction, {
  CheckTag: tag_CheckTag["default"],
  CheckTagGroup: tag_CheckTagGroup["default"]
});
Tag.displayName = "Tag";
var CheckTag = tag_CheckTag["default"];
var CheckTagGroup = tag_CheckTagGroup["default"];

exports.CheckTag = CheckTag;
exports.CheckTagGroup = CheckTagGroup;
exports.Tag = Tag;
exports["default"] = Tag;
//# sourceMappingURL=index.js.map
