/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tooltip_Tooltip = require('./Tooltip.js');
var tooltip_TooltipLite = require('./TooltipLite.js');
require('../_chunks/dep-7a6528ec.js');
require('../_chunks/dep-c83f28a0.js');
require('../_chunks/dep-3012da29.js');
require('../_chunks/dep-7e3b8125.js');
require('../_chunks/dep-e358a1dc.js');
require('react');
require('classnames');
require('../popup/index.js');
require('../popup/Popup.js');
require('react-transition-group');
require('../_util/ref.js');
require('react-is');
require('../_util/isFragment.js');
require('../_chunks/dep-68db2ca6.js');
require('../_chunks/dep-6e448b65.js');
require('../_chunks/dep-912bd8a2.js');
require('../_chunks/dep-78e8fc97.js');
require('../_chunks/dep-0fccdcfb.js');
require('../common/Portal.js');
require('react-dom');
require('../hooks/useConfig.js');
require('../config-provider/ConfigContext.js');
require('../_chunks/dep-1debbc3e.js');
require('../_chunks/dep-b4e78a42.js');
require('dayjs');
require('../_chunks/dep-fdd584c5.js');
require('../_chunks/dep-84fd1465.js');
require('../_chunks/dep-023db433.js');
require('../_chunks/dep-77879fb6.js');
require('../_chunks/dep-356859aa.js');
require('../_chunks/dep-e2240b05.js');
require('../_chunks/dep-837f0312.js');
require('../_chunks/dep-413bc6a7.js');
require('../_chunks/dep-84d18206.js');
require('../_chunks/dep-5e1fc2cd.js');
require('../_chunks/dep-0be4d457.js');
require('../_chunks/dep-6058edb6.js');
require('../_chunks/dep-cfe601e8.js');
require('../_chunks/dep-6c342676.js');
require('../_chunks/dep-8bd04901.js');
require('../_chunks/dep-2f3e85f6.js');
require('../_chunks/dep-3cfcca89.js');
require('../_chunks/dep-64afded1.js');
require('../_chunks/dep-a1d853fb.js');
require('../hooks/useLayoutEffect.js');
require('../hooks/useAnimation.js');
require('../hooks/useAttach.js');
require('../hooks/useControlled.js');
require('../_util/noop.js');
require('../_chunks/dep-00e10ad8.js');
require('../_chunks/dep-5d5d7b13.js');
require('../_chunks/dep-ba207e81.js');
require('../_chunks/dep-ed0d1cf9.js');
require('../_chunks/dep-665eea2b.js');
require('../hooks/useDefaultProps.js');
require('../hooks/useMutationObserver.js');
require('../hooks/useLatest.js');
require('../_chunks/dep-c73e0aa5.js');
require('../_chunks/dep-becc25b2.js');
require('../_chunks/dep-ba79870d.js');
require('../_chunks/dep-680d1e3e.js');
require('../_chunks/dep-a3962a45.js');
require('../_chunks/dep-b6bde0bc.js');
require('../_chunks/dep-f90d944e.js');
require('../_chunks/dep-46616204.js');
require('../_chunks/dep-7bb447f9.js');
require('../_chunks/dep-5941343f.js');
require('../hooks/usePopper.js');
require('../_chunks/dep-210ce7c8.js');
require('@popperjs/core');
require('react-fast-compare');
require('../hooks/useWindowSize.js');
require('../popup/defaultProps.js');
require('../popup/hooks/useTrigger.js');
require('../_util/composeRefs.js');
require('../_util/listener.js');
require('../popup/utils/transition.js');
require('../popup/PopupPlugin.js');
require('../_chunks/dep-608840a8.js');
require('../_util/react-render.js');
require('../common/PluginContainer.js');
require('../config-provider/ConfigProvider.js');
require('../_chunks/dep-34def105.js');
require('../_chunks/dep-cc2fe55a.js');
require('./defaultProps.js');
require('../hooks/useSwitch.js');
require('../hooks/usePersistFn.js');
require('../_chunks/dep-8c89cfa8.js');

var Tooltip = tooltip_Tooltip["default"];
var TooltipLite = tooltip_TooltipLite["default"];

exports.Tooltip = Tooltip;
exports.TooltipLite = TooltipLite;
exports["default"] = Tooltip;
//# sourceMappingURL=index.js.map
