/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var slicedToArray = require('../../_chunks/dep-3012da29.js');
var React = require('react');
var locale_LocalReceiver = require('../../locale/LocalReceiver.js');
var hooks_useConfig = require('../../hooks/useConfig.js');
require('../../_chunks/dep-7e3b8125.js');
require('../../_chunks/dep-7a6528ec.js');
require('../../_chunks/dep-c83f28a0.js');
require('../../_chunks/dep-6e448b65.js');
require('../../_chunks/dep-912bd8a2.js');
require('../../_chunks/dep-78e8fc97.js');
require('../../_chunks/dep-0fccdcfb.js');
require('../../config-provider/ConfigProvider.js');
require('../../config-provider/ConfigContext.js');
require('../../_chunks/dep-1debbc3e.js');
require('../../_chunks/dep-b4e78a42.js');
require('dayjs');
require('../../_chunks/dep-fdd584c5.js');
require('../../_chunks/dep-84fd1465.js');
require('../../_chunks/dep-023db433.js');
require('../../_chunks/dep-77879fb6.js');
require('../../_chunks/dep-356859aa.js');
require('../../_chunks/dep-e2240b05.js');
require('../../_chunks/dep-837f0312.js');
require('../../_chunks/dep-413bc6a7.js');
require('../../_chunks/dep-84d18206.js');
require('../../_chunks/dep-5e1fc2cd.js');
require('../../_chunks/dep-0be4d457.js');
require('../../_chunks/dep-6058edb6.js');
require('../../_chunks/dep-cfe601e8.js');
require('../../_chunks/dep-6c342676.js');
require('../../_chunks/dep-8bd04901.js');
require('../../_chunks/dep-2f3e85f6.js');
require('../../_chunks/dep-3cfcca89.js');
require('../../_chunks/dep-64afded1.js');
require('../../_chunks/dep-a1d853fb.js');
require('../../_chunks/dep-34def105.js');
require('../../_chunks/dep-cc2fe55a.js');
require('../../_chunks/dep-680d1e3e.js');
require('../../_chunks/dep-a3962a45.js');
require('../../_chunks/dep-b6bde0bc.js');
require('../../_chunks/dep-f90d944e.js');
require('../../_chunks/dep-46616204.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var useTreeSelectLocale = function useTreeSelectLocale(props) {
  var _props$empty, _props$loadingText, _props$placeholder;
  var _useConfig = hooks_useConfig["default"](),
    classPrefix = _useConfig.classPrefix;
  var _useLocaleReceiver = locale_LocalReceiver.useLocaleReceiver("treeSelect"),
    _useLocaleReceiver2 = slicedToArray._slicedToArray(_useLocaleReceiver, 2),
    local = _useLocaleReceiver2[0],
    t = _useLocaleReceiver2[1];
  var emptyText = t(local.empty);
  var placeholderText = t(local.placeholder);
  var loadingTextLabel = t(local.loadingText);
  return {
    empty: (_props$empty = props.empty) !== null && _props$empty !== void 0 ? _props$empty : /* @__PURE__ */React__default["default"].createElement("div", {
      className: "".concat(classPrefix, "-select__empty")
    }, emptyText),
    loadingItem: /* @__PURE__ */React__default["default"].createElement("p", {
      className: "".concat(classPrefix, "-select__loading-tips")
    }, (_props$loadingText = props.loadingText) !== null && _props$loadingText !== void 0 ? _props$loadingText : /* @__PURE__ */React__default["default"].createElement("div", {
      className: "".concat(classPrefix, "-select__empty")
    }, loadingTextLabel)),
    placeholder: (_props$placeholder = props.placeholder) !== null && _props$placeholder !== void 0 ? _props$placeholder : placeholderText
  };
};

exports.useTreeSelectLocale = useTreeSelectLocale;
//# sourceMappingURL=useTreeSelectLocale.js.map
