/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

var EKeyboardDirection = /* @__PURE__ */function (EKeyboardDirection2) {
  EKeyboardDirection2[EKeyboardDirection2["left"] = 37] = "left";
  EKeyboardDirection2[EKeyboardDirection2["up"] = 38] = "up";
  EKeyboardDirection2[EKeyboardDirection2["right"] = 39] = "right";
  EKeyboardDirection2[EKeyboardDirection2["down"] = 40] = "down";
  return EKeyboardDirection2;
}(EKeyboardDirection || {});
var ARROW_DOWN_REG = /^ArrowDown$/i;
var ARROW_UP_REG = /^ArrowUp$/i;
var ARROW_LEFT_REG = /^ArrowLeft$/i;
var ARROW_RIGHT_REG = /^ArrowRight$/i;
var ESCAPE_REG = /^Escape$/i;
var SPACE_REG = /^Space$/i;
var ENTER_REG = /^Enter$/i;
var SHIFT_REG = /^(Shift|ShiftLeft|ShiftRight)$/i;
var CLEAR_REG = /^KeyC$/i;
var ALL_REG = /^(KeyA|KeyL)$/i;
var CHECKED_CODE_REG = /^(Enter|Space)$/i;
var THEME_MODE = "theme-mode";

export { CHECKED_CODE_REG as C, ENTER_REG as E, SPACE_REG as S, THEME_MODE as T };
//# sourceMappingURL=dep-c949a941.js.map
