/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

import Breadcrumb$1 from './Breadcrumb.js';
import './style/css.js';
import './type.js';
import '../_chunks/dep-80f26a18.js';
import '../_chunks/dep-8780bcdf.js';
import '../_chunks/dep-4d3bcd6b.js';
import '../_chunks/dep-b703e6a4.js';
import '../_chunks/dep-3be76470.js';
import 'react';
import 'classnames';
import 'tdesign-icons-react';
import 'lodash-es';
import '../_chunks/dep-07f6ec14.js';
import '../_chunks/dep-d564deee.js';
import '../hooks/useConfig.js';
import '../config-provider/ConfigContext.js';
import '../locale/zh_CN.js';
import '../_chunks/dep-8e2f260a.js';
import 'dayjs';
import '../_chunks/dep-11419884.js';
import '../_util/forwardRefWithStatics.js';
import 'hoist-non-react-statics';
import './BreadcrumbItem.js';
import '../_chunks/dep-5965bf34.js';
import '../hooks/useGlobalIcon.js';
import '../hooks/useCommonClassName.js';
import './BreadcrumbContext.js';
import '../_util/parseTNode.js';
import './defaultProps.js';
import '../tooltip/index.js';
import '../tooltip/Tooltip.js';
import '../popup/index.js';
import '../popup/Popup.js';
import 'react-transition-group';
import '../_util/ref.js';
import 'react-is';
import '../_util/isFragment.js';
import '../_chunks/dep-f1a86416.js';
import '../common/Portal.js';
import 'react-dom';
import '../hooks/useLayoutEffect.js';
import '../hooks/useAnimation.js';
import '../hooks/useAttach.js';
import '../hooks/useControlled.js';
import '../_util/noop.js';
import '../hooks/useDefaultProps.js';
import '../hooks/useMutationObserver.js';
import '../hooks/useLatest.js';
import '../hooks/usePopper.js';
import '@popperjs/core';
import 'react-fast-compare';
import '../hooks/useWindowSize.js';
import '../popup/defaultProps.js';
import '../popup/hooks/useTrigger.js';
import '../_util/composeRefs.js';
import '../_util/listener.js';
import '../popup/utils/transition.js';
import '../popup/PopupPlugin.js';
import '../_chunks/dep-b5cee20d.js';
import '../_util/react-render.js';
import '../common/PluginContainer.js';
import '../config-provider/index.js';
import '../config-provider/ConfigProvider.js';
import '../config-provider/type.js';
import '../popup/style/css.js';
import '../popup/type.js';
import '../tooltip/defaultProps.js';
import '../tooltip/TooltipLite.js';
import '../hooks/useSwitch.js';
import '../hooks/usePersistFn.js';
import '../tooltip/style/css.js';
import '../tooltip/type.js';
import '../_util/scroll.js';
import 'raf';
import '../_util/easing.js';

var Breadcrumb = Breadcrumb$1;

export { Breadcrumb, Breadcrumb as default };
//# sourceMappingURL=index.js.map
