/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

import Drawer$1 from './Drawer.js';
import { DrawerPlugin as DrawerPlugin$1 } from './plugin.js';
import './style/css.js';
import './type.js';
import '../_chunks/dep-4d3bcd6b.js';
import '../_chunks/dep-b703e6a4.js';
import '../_chunks/dep-3be76470.js';
import '../_chunks/dep-5965bf34.js';
import '../_chunks/dep-8780bcdf.js';
import 'react';
import 'classnames';
import 'lodash-es';
import 'react-transition-group';
import 'tdesign-icons-react';
import '../locale/LocalReceiver.js';
import '../config-provider/index.js';
import '../config-provider/ConfigProvider.js';
import '../config-provider/ConfigContext.js';
import '../locale/zh_CN.js';
import '../_chunks/dep-8e2f260a.js';
import 'dayjs';
import '../_chunks/dep-11419884.js';
import '../config-provider/type.js';
import '../button/index.js';
import '../button/Button.js';
import '../hooks/useConfig.js';
import '../hooks/useDomRefCallback.js';
import '../hooks/useRipple.js';
import '../_chunks/dep-8c2d2a8b.js';
import '../hooks/useAnimation.js';
import '../_chunks/dep-f1a86416.js';
import '../loading/index.js';
import '../loading/Loading.js';
import '../common/Portal.js';
import 'react-dom';
import '../hooks/useLayoutEffect.js';
import '../loading/gradient.js';
import '../_chunks/dep-a03c72be.js';
import '../_chunks/dep-80f26a18.js';
import '../loading/defaultProps.js';
import '../hooks/useDefaultProps.js';
import '../loading/plugin.js';
import '../_util/react-render.js';
import '../_chunks/dep-b5cee20d.js';
import '../common/PluginContainer.js';
import '../loading/style/css.js';
import '../loading/type.js';
import '../button/defaultProps.js';
import '../_util/parseTNode.js';
import '../_chunks/dep-07f6ec14.js';
import '../_chunks/dep-d564deee.js';
import '../button/style/css.js';
import '../button/type.js';
import '../hooks/useGlobalIcon.js';
import './defaultProps.js';
import './hooks/useDrag.js';
import './hooks/useLockStyle.js';
import '../_chunks/dep-0a16c6e1.js';
import '../_util/scroll.js';
import 'raf';
import '../_util/easing.js';
import '../hooks/useAttach.js';
import '../hooks/useSetState.js';

var Drawer = Drawer$1;
var drawer = DrawerPlugin$1;
var DrawerPlugin = DrawerPlugin$1;

export { Drawer, DrawerPlugin, Drawer as default, drawer };
//# sourceMappingURL=index.js.map
