/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

import useIsFirstRender from './useIsFirstRender.js';
import useIsomorphicLayoutEffect from './useLayoutEffect.js';
import 'react';
import '../_chunks/dep-f1a86416.js';
import 'lodash-es';

var useUpdateLayoutEffect = function useUpdateLayoutEffect(callback, dependency) {
  var isFirstRender = useIsFirstRender();
  useIsomorphicLayoutEffect(function () {
    if (isFirstRender) return;
    return callback();
  }, dependency);
};

export { useUpdateLayoutEffect as default };
//# sourceMappingURL=useUpdateLayoutEffect.js.map
