/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

import ImageViewer$1 from './ImageViewer.js';
import './style/css.js';
import '../_chunks/dep-5965bf34.js';
import '../_chunks/dep-8780bcdf.js';
import 'react';
import 'react-dom';
import 'lodash-es';
import '../_chunks/dep-4fdaa60a.js';
import '../_chunks/dep-3be76470.js';
import '../_chunks/dep-4d3bcd6b.js';
import '../_chunks/dep-b703e6a4.js';
import '../_chunks/dep-b5cee20d.js';
import '../_chunks/dep-8e2f260a.js';
import 'classnames';
import 'tdesign-icons-react';
import '../_chunks/dep-96f9dc81.js';
import '../_chunks/dep-d564deee.js';
import '../hooks/useConfig.js';
import '../config-provider/ConfigContext.js';
import '../locale/zh_CN.js';
import 'dayjs';
import '../_chunks/dep-11419884.js';
import '../hooks/useGlobalIcon.js';
import '../hooks/useImagePreviewUrl.js';
import '../_chunks/dep-07f6ec14.js';
import '../_chunks/dep-c1300c7e.js';
import '../image/index.js';
import '../image/Image.js';
import '../_chunks/dep-33648c32.js';
import '../locale/LocalReceiver.js';
import '../config-provider/index.js';
import '../config-provider/ConfigProvider.js';
import '../config-provider/type.js';
import '../image/defaultProps.js';
import '../space/index.js';
import '../space/Space.js';
import 'react-is';
import '../_chunks/dep-a03c72be.js';
import '../_chunks/dep-80f26a18.js';
import '../space/defaultProps.js';
import '../hooks/useDefaultProps.js';
import '../space/style/css.js';
import '../space/type.js';
import '../image/style/css.js';
import '../tooltip/index.js';
import '../tooltip/Tooltip.js';
import '../popup/index.js';
import '../popup/Popup.js';
import 'react-transition-group';
import '../_util/ref.js';
import '../_util/isFragment.js';
import '../_chunks/dep-f1a86416.js';
import '../common/Portal.js';
import '../hooks/useLayoutEffect.js';
import '../hooks/useAnimation.js';
import '../hooks/useAttach.js';
import '../hooks/useControlled.js';
import '../_util/noop.js';
import '../hooks/useMutationObserver.js';
import '../hooks/useLatest.js';
import '../hooks/usePopper.js';
import '@popperjs/core';
import 'react-fast-compare';
import '../hooks/useWindowSize.js';
import '../popup/defaultProps.js';
import '../popup/hooks/useTrigger.js';
import '../_util/composeRefs.js';
import '../_util/listener.js';
import '../popup/utils/transition.js';
import '../popup/PopupPlugin.js';
import '../_util/react-render.js';
import '../common/PluginContainer.js';
import '../popup/style/css.js';
import '../popup/type.js';
import '../tooltip/defaultProps.js';
import '../tooltip/TooltipLite.js';
import '../hooks/useSwitch.js';
import '../hooks/usePersistFn.js';
import '../tooltip/style/css.js';
import '../tooltip/type.js';
import '../dialog/index.js';
import '../dialog/Dialog.js';
import '../hooks/useSetState.js';
import '../dialog/defaultProps.js';
import '../dialog/DialogCard.js';
import '../button/index.js';
import '../button/Button.js';
import '../hooks/useDomRefCallback.js';
import '../hooks/useRipple.js';
import '../_chunks/dep-8c2d2a8b.js';
import '../loading/index.js';
import '../loading/Loading.js';
import '../loading/gradient.js';
import '../loading/defaultProps.js';
import '../loading/plugin.js';
import '../loading/style/css.js';
import '../loading/type.js';
import '../button/defaultProps.js';
import '../_util/parseTNode.js';
import '../button/style/css.js';
import '../button/type.js';
import '../dialog/hooks/useDialogEsc.js';
import '../dialog/hooks/useLockStyle.js';
import '../_chunks/dep-0a16c6e1.js';
import '../dialog/hooks/useDialogPosition.js';
import '../dialog/hooks/useDialogDrag.js';
import '../dialog/utils.js';
import '../dialog/plugin.js';
import '../dialog/style/css.js';
import '../dialog/type.js';
import './hooks/useIconMap.js';
import './hooks/useIndex.js';
import './hooks/useMirror.js';
import './hooks/usePosition.js';
import './hooks/useRotate.js';
import './hooks/useScale.js';
import './utils.js';
import './defaultProps.js';
import './hooks/useImageScale.js';
import './hooks/useList.js';
import './hooks/useViewerScale.js';

var ImageViewer = ImageViewer$1;

export { ImageViewer, ImageViewer as default };
//# sourceMappingURL=index.js.map
