/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

import Tabs$1 from './Tabs.js';
import './style/css.js';
import './type.js';
import '../_chunks/dep-4d3bcd6b.js';
import '../_chunks/dep-b703e6a4.js';
import '../_chunks/dep-5965bf34.js';
import '../_chunks/dep-8780bcdf.js';
import 'react';
import 'classnames';
import '../_util/forwardRefWithStatics.js';
import 'hoist-non-react-statics';
import './TabNav.js';
import 'tdesign-icons-react';
import 'lodash-es';
import '../_util/noop.js';
import './useTabClass.js';
import '../hooks/useConfig.js';
import '../config-provider/ConfigContext.js';
import '../locale/zh_CN.js';
import '../_chunks/dep-8e2f260a.js';
import 'dayjs';
import '../_chunks/dep-11419884.js';
import './TabNavItem.js';
import '../hooks/useRipple.js';
import '../_chunks/dep-8c2d2a8b.js';
import '../hooks/useAnimation.js';
import '../_chunks/dep-f1a86416.js';
import '../hooks/useDomRefCallback.js';
import '../hooks/useGlobalIcon.js';
import './TabBar.js';
import '../hooks/useMutationObserver.js';
import '../hooks/useLatest.js';
import '../hooks/useResizeObserver.js';
import '../hooks/useLayoutEffect.js';
import '../_util/parseTNode.js';
import '../_chunks/dep-07f6ec14.js';
import '../_chunks/dep-d564deee.js';
import './TabPanel.js';
import './defaultProps.js';
import '../hooks/useDefaultProps.js';
import '../hooks/useDragSorter.js';
import '../hooks/useEventCallback.js';
import '../hooks/useControlled.js';

var Tabs = Tabs$1;

export { Tabs, Tabs as default };
//# sourceMappingURL=index.js.map
