/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

import useConfig from '../../hooks/useConfig.js';
import 'react';
import '../../config-provider/ConfigContext.js';
import '../../_chunks/dep-4d3bcd6b.js';
import '../../_chunks/dep-b703e6a4.js';
import 'lodash-es';
import '../../locale/zh_CN.js';
import '../../_chunks/dep-8e2f260a.js';
import 'dayjs';
import '../../_chunks/dep-11419884.js';

var useClassNames = function useClassNames() {
  var _useConfig = useConfig(),
    classPrefix = _useConfig.classPrefix;
  var baseClassName = "".concat(classPrefix, "-color-picker");
  return baseClassName;
};

export { useClassNames as default };
//# sourceMappingURL=useClassNames.js.map
