/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

import QRCode$1 from './QRCode.js';
import './style/index.js';
import './type.js';
import '../_chunks/dep-4d3bcd6b.js';
import '../_chunks/dep-b703e6a4.js';
import '../_chunks/dep-5965bf34.js';
import '../_chunks/dep-8780bcdf.js';
import '../_chunks/dep-3be76470.js';
import 'react';
import 'classnames';
import './QRCodeCanvas.js';
import '../_chunks/dep-92132904.js';
import '../_chunks/dep-15a1e181.js';
import './QRCodeSVG.js';
import '../hooks/useDefaultProps.js';
import './defaultProps.js';
import '../hooks/useConfig.js';
import '../config-provider/ConfigContext.js';
import 'lodash-es';
import '../locale/zh_CN.js';
import '../_chunks/dep-8e2f260a.js';
import 'dayjs';
import '../_chunks/dep-11419884.js';
import '../locale/LocalReceiver.js';
import '../config-provider/index.js';
import '../config-provider/ConfigProvider.js';
import '../config-provider/type.js';
import './QRCodeStatus.js';
import 'tdesign-icons-react';
import '../loading/index.js';
import '../loading/Loading.js';
import '../_chunks/dep-f1a86416.js';
import '../common/Portal.js';
import 'react-dom';
import '../hooks/useLayoutEffect.js';
import '../loading/gradient.js';
import '../_chunks/dep-8c2d2a8b.js';
import '../_chunks/dep-a03c72be.js';
import '../_chunks/dep-80f26a18.js';
import '../hooks/useDomRefCallback.js';
import '../loading/defaultProps.js';
import '../loading/plugin.js';
import '../_util/react-render.js';
import '../_chunks/dep-b5cee20d.js';
import '../common/PluginContainer.js';
import '../loading/style/index.js';
import '../loading/type.js';
import '../hooks/useThemeColor.js';
import '../_chunks/dep-c949a941.js';
import '../hooks/useMutationObserver.js';
import '../hooks/useLatest.js';

var QRCode = QRCode$1;

export { QRCode, QRCode as default };
//# sourceMappingURL=index.js.map
