/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

import Slider$1 from './Slider.js';
import './style/index.js';
import './type.js';
import '../_chunks/dep-4d3bcd6b.js';
import '../_chunks/dep-b703e6a4.js';
import '../_chunks/dep-5965bf34.js';
import '../_chunks/dep-8780bcdf.js';
import 'react';
import 'classnames';
import 'lodash-es';
import '../hooks/useConfig.js';
import '../config-provider/ConfigContext.js';
import '../locale/zh_CN.js';
import '../_chunks/dep-8e2f260a.js';
import 'dayjs';
import '../_chunks/dep-11419884.js';
import '../hooks/useControlled.js';
import '../_util/noop.js';
import './utils/handleNumber.js';
import '../input-number/InputNumber.js';
import 'tdesign-icons-react';
import '../input/index.js';
import '../input/Input.js';
import '../_chunks/dep-3be76470.js';
import '../hooks/useLayoutEffect.js';
import '../_chunks/dep-f1a86416.js';
import '../_util/forwardRefWithStatics.js';
import 'hoist-non-react-statics';
import '../hooks/useGlobalIcon.js';
import '../input/InputGroup.js';
import '../locale/LocalReceiver.js';
import '../config-provider/index.js';
import '../config-provider/ConfigProvider.js';
import '../config-provider/type.js';
import '../input/defaultProps.js';
import '../_util/parseTNode.js';
import '../_chunks/dep-07f6ec14.js';
import '../_chunks/dep-d564deee.js';
import '../input/useLengthLimit.js';
import '../_chunks/dep-a03c72be.js';
import '../_chunks/dep-80f26a18.js';
import '../hooks/useDefaultProps.js';
import '../input/style/index.js';
import '../input/type.js';
import '../button/index.js';
import '../button/Button.js';
import '../hooks/useDomRefCallback.js';
import '../hooks/useRipple.js';
import '../_chunks/dep-8c2d2a8b.js';
import '../hooks/useAnimation.js';
import '../loading/index.js';
import '../loading/Loading.js';
import '../common/Portal.js';
import 'react-dom';
import '../loading/gradient.js';
import '../loading/defaultProps.js';
import '../loading/plugin.js';
import '../_util/react-render.js';
import '../_chunks/dep-b5cee20d.js';
import '../common/PluginContainer.js';
import '../loading/style/index.js';
import '../loading/type.js';
import '../button/defaultProps.js';
import '../button/style/index.js';
import '../button/type.js';
import '../input-number/useInputNumber.js';
import '../_chunks/dep-96f9dc81.js';
import '../hooks/useCommonClassName.js';
import '../input-number/defaultProps.js';
import './SliderHandleButton.js';
import '../tooltip/Tooltip.js';
import '../popup/index.js';
import '../popup/Popup.js';
import 'react-transition-group';
import '../_util/ref.js';
import 'react-is';
import '../_util/isFragment.js';
import '../hooks/useAttach.js';
import '../hooks/useMutationObserver.js';
import '../hooks/useLatest.js';
import '../hooks/usePopper.js';
import '@popperjs/core';
import 'react-fast-compare';
import '../hooks/useWindowSize.js';
import '../popup/defaultProps.js';
import '../popup/hooks/useTrigger.js';
import '../_util/composeRefs.js';
import '../_util/listener.js';
import '../popup/utils/transition.js';
import '../popup/PopupPlugin.js';
import '../popup/style/index.js';
import '../popup/type.js';
import '../tooltip/defaultProps.js';
import '../_util/number.js';
import './defaultProps.js';

var Slider = Slider$1;

export { Slider, Slider as default };
//# sourceMappingURL=index.js.map
