/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

import Typography$1 from './Typography.js';
import './style/index.js';
import './type.js';
import './Text.js';
import '../_chunks/dep-4d3bcd6b.js';
import '../_chunks/dep-b703e6a4.js';
import '../_chunks/dep-3be76470.js';
import '../_chunks/dep-5965bf34.js';
import '../_chunks/dep-8780bcdf.js';
import 'react';
import 'classnames';
import 'tdesign-icons-react';
import './ellipsis/Ellipsis.js';
import './ellipsis/Truncate.js';
import '../_chunks/dep-15a1e181.js';
import 'lodash-es';
import '../_chunks/dep-8e2f260a.js';
import 'react-is';
import '../hooks/useConfig.js';
import '../config-provider/ConfigContext.js';
import '../locale/zh_CN.js';
import 'dayjs';
import '../_chunks/dep-11419884.js';
import './ellipsis/useEllipsis.js';
import '../tooltip/index.js';
import '../tooltip/Tooltip.js';
import '../popup/index.js';
import '../popup/Popup.js';
import 'react-transition-group';
import '../_util/ref.js';
import '../_util/isFragment.js';
import '../_chunks/dep-f1a86416.js';
import '../common/Portal.js';
import 'react-dom';
import '../hooks/useLayoutEffect.js';
import '../hooks/useAnimation.js';
import '../hooks/useAttach.js';
import '../hooks/useControlled.js';
import '../_util/noop.js';
import '../hooks/useDefaultProps.js';
import '../hooks/useMutationObserver.js';
import '../hooks/useLatest.js';
import '../hooks/usePopper.js';
import '../_chunks/dep-80f26a18.js';
import '@popperjs/core';
import 'react-fast-compare';
import '../hooks/useWindowSize.js';
import '../popup/defaultProps.js';
import '../popup/hooks/useTrigger.js';
import '../_util/composeRefs.js';
import '../_util/listener.js';
import '../popup/utils/transition.js';
import '../popup/PopupPlugin.js';
import '../_chunks/dep-b5cee20d.js';
import '../_util/react-render.js';
import '../common/PluginContainer.js';
import '../config-provider/index.js';
import '../config-provider/ConfigProvider.js';
import '../config-provider/type.js';
import '../popup/style/index.js';
import '../popup/type.js';
import '../tooltip/defaultProps.js';
import '../tooltip/TooltipLite.js';
import '../hooks/useSwitch.js';
import '../hooks/usePersistFn.js';
import '../tooltip/style/index.js';
import '../tooltip/type.js';
import '../locale/LocalReceiver.js';
import '../button/Button.js';
import '../hooks/useDomRefCallback.js';
import '../hooks/useRipple.js';
import '../_chunks/dep-8c2d2a8b.js';
import '../loading/index.js';
import '../loading/Loading.js';
import '../loading/gradient.js';
import '../_chunks/dep-a03c72be.js';
import '../loading/defaultProps.js';
import '../loading/plugin.js';
import '../loading/style/index.js';
import '../loading/type.js';
import '../button/defaultProps.js';
import '../_util/parseTNode.js';
import '../_chunks/dep-07f6ec14.js';
import '../_chunks/dep-d564deee.js';
import './defaultProps.js';
import '../_util/copyText.js';
import './Title.js';
import './Paragraph.js';

var Typography = Typography$1;

export { Typography, Typography as default };
//# sourceMappingURL=index.js.map
