/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

var toLowercaseSeparator = function toLowercaseSeparator(key) {
  return key.replace(/([A-Z])/g, "-$1").toLowerCase();
};
var getStyleStr = function getStyleStr(style) {
  return Object.keys(style).map(function (key) {
    return "".concat(toLowercaseSeparator(key), ": ").concat(style[key], ";");
  }).join(" ");
};

export { getStyleStr };
//# sourceMappingURL=utils.js.map
