/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

import '../_chunks/dep-3be76470.js';
import '../_chunks/dep-4d3bcd6b.js';
import '../_chunks/dep-52d831fb.js';
import '../_chunks/dep-5965bf34.js';
import 'classnames';
import 'lodash-es';
import 'react';
import 'tdesign-icons-react';
import '../_chunks/dep-00626aa1.js';
import '../hooks/useConfig.js';
import '../hooks/useGlobalIcon.js';
import '../hooks/useImagePreviewUrl.js';
import '../image/index.js';
import '../locale/LocalReceiver.js';
import '../tooltip/index.js';
export { I as ImageModal, c as ImageModalItem, d as ImageViewerUtils } from '../_chunks/dep-d3d0274f.js';
import './hooks/useIconMap.js';
import './hooks/useIndex.js';
import './hooks/useMirror.js';
import './hooks/usePosition.js';
import './hooks/useRotate.js';
import './hooks/useScale.js';
import './utils.js';
import '../_chunks/dep-b703e6a4.js';
import '../_chunks/dep-8780bcdf.js';
import '../_chunks/dep-d564deee.js';
import '../config-provider/ConfigContext.js';
import '../_chunks/dep-ee1d6f73.js';
import '../_chunks/dep-25abb26d.js';
import 'dayjs';
import '../_chunks/dep-3c7164a5.js';
import '../image/Image.js';
import '../_chunks/dep-33648c32.js';
import '../image/defaultProps.js';
import '../space/index.js';
import '../space/Space.js';
import 'react-is';
import '../_chunks/dep-2208187b.js';
import '../_chunks/dep-80f26a18.js';
import '../space/defaultProps.js';
import '../hooks/useDefaultProps.js';
import '../config-provider/ConfigProvider.js';
import '../tooltip/Tooltip.js';
import '../popup/index.js';
import '../popup/Popup.js';
import 'react-transition-group';
import '../_util/ref.js';
import '../_util/isFragment.js';
import '../_chunks/dep-f1a86416.js';
import '../common/Portal.js';
import 'react-dom';
import '../hooks/useLayoutEffect.js';
import '../hooks/useAnimation.js';
import '../hooks/useAttach.js';
import '../hooks/useControlled.js';
import '../_util/noop.js';
import '../hooks/useMutationObserver.js';
import '../hooks/useLatest.js';
import '../hooks/usePopper.js';
import '@popperjs/core';
import 'react-fast-compare';
import '../hooks/useWindowSize.js';
import '../popup/defaultProps.js';
import '../popup/hooks/useTrigger.js';
import '../_util/composeRefs.js';
import '../_util/listener.js';
import '../popup/utils/transition.js';
import '../popup/PopupPlugin.js';
import '../_util/react-render.js';
import '../common/PluginContainer.js';
import '../tooltip/defaultProps.js';
import '../tooltip/TooltipLite.js';
import '../hooks/useSwitch.js';
import '../hooks/usePersistFn.js';
import '../dialog/index.js';
import '../dialog/Dialog.js';
import '../hooks/useSetState.js';
import '../dialog/defaultProps.js';
import '../dialog/DialogCard.js';
import '../button/index.js';
import '../button/Button.js';
import '../hooks/useDomRefCallback.js';
import '../hooks/useRipple.js';
import '../_chunks/dep-8c2d2a8b.js';
import '../loading/index.js';
import '../loading/Loading.js';
import '../loading/gradient.js';
import '../loading/defaultProps.js';
import '../loading/plugin.js';
import '../button/defaultProps.js';
import '../_util/parseTNode.js';
import '../dialog/hooks/useDialogEsc.js';
import '../dialog/hooks/useLockStyle.js';
import '../_chunks/dep-a53ee0b4.js';
import '../dialog/hooks/useDialogPosition.js';
import '../dialog/hooks/useDialogDrag.js';
import '../dialog/utils.js';
import '../dialog/plugin.js';
//# sourceMappingURL=ImageViewerModal.js.map
