/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

import { _ as _slicedToArray } from '../../_chunks/dep-5965bf34.js';
import { useState, useCallback } from 'react';
import '../../_chunks/dep-8780bcdf.js';

var useMirror = function useMirror() {
  var _useState = useState(1),
    _useState2 = _slicedToArray(_useState, 2),
    mirror = _useState2[0],
    setMirror = _useState2[1];
  var onMirror = useCallback(function () {
    setMirror(function (mirror2) {
      return mirror2 > 0 ? -1 : 1;
    });
  }, []);
  var onResetMirror = useCallback(function () {
    return setMirror(1);
  }, []);
  return {
    mirror: mirror,
    onResetMirror: onResetMirror,
    onMirror: onMirror
  };
};

export { useMirror as default };
//# sourceMappingURL=useMirror.js.map
