/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

import { _ as _slicedToArray } from '../../_chunks/dep-5965bf34.js';
import { useLocaleReceiver } from '../../locale/LocalReceiver.js';
import '../../_chunks/dep-8780bcdf.js';
import '../../_chunks/dep-4d3bcd6b.js';
import '../../_chunks/dep-b703e6a4.js';
import 'react';
import 'lodash-es';
import '../../config-provider/ConfigProvider.js';
import '../../config-provider/ConfigContext.js';
import '../../_chunks/dep-ee1d6f73.js';
import '../../_chunks/dep-25abb26d.js';
import 'dayjs';

var useTimePickerTextConfig = function useTimePickerTextConfig() {
  var _useLocaleReceiver = useLocaleReceiver("timePicker"),
    _useLocaleReceiver2 = _slicedToArray(_useLocaleReceiver, 2),
    local = _useLocaleReceiver2[0],
    t = _useLocaleReceiver2[1];
  return {
    nowTime: t(local.now),
    confirm: t(local.confirm),
    am: t(local.anteMeridiem),
    pm: t(local.postMeridiem),
    placeholder: t(local.placeholder),
    rangePlaceholder: [t(local.placeholder), t(local.placeholder)]
  };
};

export { useTimePickerTextConfig };
//# sourceMappingURL=useTimePickerTextConfig.js.map
