/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var slicedToArray = require('../_chunks/dep-3012da29.js');
require('../_chunks/dep-7e3b8125.js');

function accAdd(num1, num2) {
  var isFloat = function isFloat(n) {
    return typeof n === "number" && !Number.isInteger(n);
  };
  if (isFloat(num1) && isFloat(num2)) {
    var _String$split = String(num1).split("."),
      _String$split2 = slicedToArray._slicedToArray(_String$split, 2),
      integer1 = _String$split2[0],
      precision1 = _String$split2[1];
    var _String$split3 = String(num2).split("."),
      _String$split4 = slicedToArray._slicedToArray(_String$split3, 2),
      integer2 = _String$split4[0],
      precision2 = _String$split4[1];
    var maxPrecisionLen = Math.max(precision1.length, precision2.length);
    var wholePrecision1 = Number(precision1.padEnd(maxPrecisionLen, "0"));
    var wholePrecision2 = Number(precision2.padEnd(maxPrecisionLen, "0"));
    var precisionVal = (wholePrecision1 + wholePrecision2) / Math.pow(10, maxPrecisionLen);
    var integerVal = Number(integer1) + Number(integer2);
    return integerVal + precisionVal;
  }
  return num1 + num2;
}

exports.accAdd = accAdd;
//# sourceMappingURL=number.js.map
