/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var slicedToArray = require('../../_chunks/dep-3012da29.js');
var React = require('react');
require('../../_chunks/dep-7e3b8125.js');

var useStyles = function useStyles(params, panelRectRef) {
  var color = params.color,
    value = params.value,
    maxValue = params.maxValue;
  var _useState = React.useState({
      left: "",
      color: ""
    }),
    _useState2 = slicedToArray._slicedToArray(_useState, 2),
    styles = _useState2[0],
    setStyles = _useState2[1];
  React.useEffect(function () {
    var width = panelRectRef.current.width;
    if (!width) {
      return;
    }
    var left = Math.round(Number(value) / Number(maxValue) * 100);
    setStyles({
      left: "".concat(left, "%"),
      color: color.rgb
    });
  }, [color.rgb, value]);
  return {
    styles: styles
  };
};

exports["default"] = useStyles;
//# sourceMappingURL=useStyles.js.map
