/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _util_style = require('../../_chunks/dep-68db2ca6.js');
var _util_scroll = require('../../_util/scroll.js');
require('../../_chunks/dep-6e448b65.js');
require('../../_chunks/dep-912bd8a2.js');
require('../../_chunks/dep-c83f28a0.js');
require('../../_chunks/dep-78e8fc97.js');
require('../../_chunks/dep-0fccdcfb.js');
require('raf');
require('../../_util/easing.js');

function scrollToElm(elm) {
  var rect = elm.getBoundingClientRect();
  if (!_util_style.elementInViewport(elm)) {
    var winHeight = _util_style.getWindowSize().height;
    _util_scroll.scrollTo(rect.top - (winHeight / 2 - rect.height / 2), {});
  }
}

exports["default"] = scrollToElm;
//# sourceMappingURL=scrollToElm.js.map
