/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var hooks_useIsFirstRender = require('./useIsFirstRender.js');

var useUpdateEffect = function useUpdateEffect(callback, dependency) {
  var isFirstRender = hooks_useIsFirstRender["default"]();
  React.useEffect(function () {
    if (isFirstRender) return;
    return callback();
  }, dependency);
};

exports["default"] = useUpdateEffect;
//# sourceMappingURL=useUpdateEffect.js.map
