/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var hooks_useIsFirstRender = require('./useIsFirstRender.js');
var hooks_useLayoutEffect = require('./useLayoutEffect.js');
require('react');
require('../_chunks/dep-68db2ca6.js');
require('../_chunks/dep-6e448b65.js');
require('../_chunks/dep-912bd8a2.js');
require('../_chunks/dep-c83f28a0.js');
require('../_chunks/dep-78e8fc97.js');
require('../_chunks/dep-0fccdcfb.js');

var useUpdateLayoutEffect = function useUpdateLayoutEffect(callback, dependency) {
  var isFirstRender = hooks_useIsFirstRender["default"]();
  hooks_useLayoutEffect["default"](function () {
    if (isFirstRender) return;
    return callback();
  }, dependency);
};

exports["default"] = useUpdateLayoutEffect;
//# sourceMappingURL=useUpdateLayoutEffect.js.map
