/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var menu__util_checkMenuType = require('./checkMenuType.js');
require('./type.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var _checkSubMenuChildrenActive = function checkSubMenuChildrenActive(children, active) {
  var activeFlag = false;
  React__default["default"].Children.forEach(children, function (child) {
    if (activeFlag) return;
    if (menu__util_checkMenuType.checkIsSubMenu(child)) {
      activeFlag = _checkSubMenuChildrenActive(child.props.children, active);
    } else if (menu__util_checkMenuType.checkIsMenuItem(child)) {
      activeFlag = active === child.props.value ? true : activeFlag;
    }
  });
  return activeFlag;
};

exports["default"] = _checkSubMenuChildrenActive;
//# sourceMappingURL=checkSubMenuChildrenActive.js.map
