/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var Distance = "32px";
var THEME_ARRAY = ["info", "success", "warning", "error", "question", "loading"];
var PlacementOffset = {
  center: {
    left: "50%",
    top: "50%",
    transform: "translateX(-50%) translateY(-50%)"
  },
  left: {
    left: Distance,
    top: "50%",
    transform: "translateY(-50%)"
  },
  bottom: {
    bottom: Distance,
    left: "50%",
    transform: "translateX(-50%)"
  },
  right: {
    right: Distance,
    top: "50%",
    transform: "translateY(-50%)"
  },
  top: {
    top: Distance,
    left: "50%",
    transform: "translateX(-50%)"
  },
  "top-left": {
    left: Distance,
    top: Distance
  },
  "top-right": {
    right: Distance,
    top: Distance
  },
  "bottom-left": {
    left: Distance,
    bottom: Distance
  },
  "bottom-right": {
    right: Distance,
    bottom: Distance
  }
};

exports.PlacementOffset = PlacementOffset;
exports.THEME_ARRAY = THEME_ARRAY;
//# sourceMappingURL=const.js.map
