/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var slicedToArray = require('../_chunks/dep-3012da29.js');
var React = require('react');
require('../_chunks/dep-7e3b8125.js');

function useHover(props) {
  var readonly = props.readonly,
    disabled = props.disabled,
    onMouseenter = props.onMouseenter,
    onMouseleave = props.onMouseleave;
  var _useState = React.useState(false),
    _useState2 = slicedToArray._slicedToArray(_useState, 2),
    isHover = _useState2[0],
    setIsHover = _useState2[1];
  var addHover = function addHover(context) {
    if (readonly || disabled) return;
    setIsHover(true);
    onMouseenter === null || onMouseenter === void 0 || onMouseenter(context);
  };
  var cancelHover = function cancelHover(context) {
    if (readonly || disabled) return;
    setIsHover(false);
    onMouseleave === null || onMouseleave === void 0 || onMouseleave(context);
  };
  return {
    isHover: isHover,
    addHover: addHover,
    cancelHover: cancelHover
  };
}

exports["default"] = useHover;
//# sourceMappingURL=useHover.js.map
