/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

import { _ as _defineProperty } from '../_chunks/dep-4d3bcd6b.js';
import { messageDefaultProps } from './defaultProps.js';
import '../_chunks/dep-b703e6a4.js';

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var globalConfig = {
  top: 32
};
var messageDefaultConfig = _objectSpread(_objectSpread({}, messageDefaultProps), {}, {
  duration: 3e3,
  placement: "top",
  zIndex: 5e3
});
var getMessageConfig = function getMessageConfig(options) {
  var currentOptions = _objectSpread({}, options);
  for (var i in currentOptions) {
    if (typeof currentOptions[i] === "undefined") {
      delete currentOptions[i];
    }
  }
  if (typeof currentOptions.duration !== "number" || currentOptions.duration < 0) {
    delete currentOptions.duration;
  }
  return _objectSpread(_objectSpread({}, messageDefaultConfig), currentOptions);
};
var setGlobalConfig = function setGlobalConfig(options) {
  messageDefaultConfig = _objectSpread({}, getMessageConfig(options));
};
var getMessageDefaultConfig = function getMessageDefaultConfig() {
  return _objectSpread({}, messageDefaultConfig);
};

export { getMessageConfig, getMessageDefaultConfig, globalConfig, setGlobalConfig };
//# sourceMappingURL=config.js.map
