/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

import { MessagePlugin as MessagePlugin$1 } from './Message.js';
import './style/index.js';
import './type.js';
import MessageComponent from './MessageComponent.js';
import '../_chunks/dep-5965bf34.js';
import '../_chunks/dep-8780bcdf.js';
import '../_chunks/dep-4d3bcd6b.js';
import '../_chunks/dep-b703e6a4.js';
import '../_chunks/dep-b5cee20d.js';
import '../_chunks/dep-8e2f260a.js';
import 'react';
import 'classnames';
import '../_util/react-render.js';
import 'react-dom';
import '../_util/noop.js';
import './const.js';
import './config.js';
import './defaultProps.js';
import './useMessageClass.js';
import '../hooks/useConfig.js';
import '../config-provider/ConfigContext.js';
import 'lodash-es';
import '../locale/zh_CN.js';
import 'dayjs';
import '../_chunks/dep-11419884.js';
import '../config-provider/index.js';
import '../config-provider/ConfigProvider.js';
import '../config-provider/type.js';
import '../common/PluginContainer.js';
import './MessageClose.js';
import 'tdesign-icons-react';
import '../hooks/useGlobalIcon.js';
import './MessageIcon.js';
import '../loading/index.js';
import '../loading/Loading.js';
import '../_chunks/dep-f1a86416.js';
import '../common/Portal.js';
import '../hooks/useLayoutEffect.js';
import '../loading/gradient.js';
import '../_chunks/dep-8c2d2a8b.js';
import '../_chunks/dep-a03c72be.js';
import '../_chunks/dep-80f26a18.js';
import '../_chunks/dep-3be76470.js';
import '../hooks/useDomRefCallback.js';
import '../loading/defaultProps.js';
import '../hooks/useDefaultProps.js';
import '../loading/plugin.js';
import '../loading/style/index.js';
import '../loading/type.js';
import '../hooks/usePersistFn.js';

var Message = MessageComponent;
var message = MessagePlugin$1;
var MessagePlugin = MessagePlugin$1;

export { Message, MessagePlugin, Message as default, message };
//# sourceMappingURL=index.js.map
