/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

import { A as AvatarGroup$1, a as Avatar$1 } from '../_chunks/dep-c833af75.js';
import '../_chunks/dep-4d3bcd6b.js';
import '../_chunks/dep-b703e6a4.js';
import '../_chunks/dep-5965bf34.js';
import '../_chunks/dep-8780bcdf.js';
import '../_chunks/dep-3be76470.js';
import 'react';
import 'classnames';
import '../hooks/useConfig.js';
import '../config-provider/ConfigContext.js';
import 'lodash-es';
import '../_chunks/dep-ee1d6f73.js';
import '../_chunks/dep-25abb26d.js';
import 'dayjs';
import '../_util/forwardRefWithStatics.js';
import 'hoist-non-react-statics';
import '../hooks/useCommonClassName.js';
import '../_util/composeRefs.js';
import './AvatarContext.js';
import './defaultProps.js';
import '../hooks/useResizeObserver.js';
import '../hooks/useLayoutEffect.js';
import '../_chunks/dep-f1a86416.js';
import '../hooks/useLatest.js';
import '../image/index.js';
import '../image/Image.js';
import 'tdesign-icons-react';
import '../_chunks/dep-33648c32.js';
import '../locale/LocalReceiver.js';
import '../config-provider/ConfigProvider.js';
import '../image/defaultProps.js';
import '../space/index.js';
import '../space/Space.js';
import 'react-is';
import '../_chunks/dep-2208187b.js';
import '../_chunks/dep-80f26a18.js';
import '../space/defaultProps.js';
import '../hooks/useDefaultProps.js';
import '../hooks/useGlobalIcon.js';
import '../hooks/useImagePreviewUrl.js';
import '../_chunks/dep-d564deee.js';
import '../_chunks/dep-3c7164a5.js';
import '../_util/parseTNode.js';

var AvatarGroup = AvatarGroup$1;
var Avatar = Avatar$1;

export { Avatar, AvatarGroup, Avatar as default };
//# sourceMappingURL=index.js.map
