/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

import Dialog$1 from './Dialog.js';
import DialogCard$1 from './DialogCard.js';
import { DialogPlugin as DialogPlugin$1 } from './plugin.js';
import '../_chunks/dep-4d3bcd6b.js';
import '../_chunks/dep-b703e6a4.js';
import '../_chunks/dep-5965bf34.js';
import '../_chunks/dep-8780bcdf.js';
import '../_chunks/dep-3be76470.js';
import 'react';
import 'react-transition-group';
import 'classnames';
import '../_chunks/dep-d564deee.js';
import 'lodash-es';
import '../locale/LocalReceiver.js';
import '../config-provider/ConfigProvider.js';
import '../config-provider/ConfigContext.js';
import '../_chunks/dep-ee1d6f73.js';
import '../_chunks/dep-25abb26d.js';
import 'dayjs';
import '../common/Portal.js';
import 'react-dom';
import '../_chunks/dep-f1a86416.js';
import '../hooks/useConfig.js';
import '../hooks/useLayoutEffect.js';
import '../hooks/useSetState.js';
import './defaultProps.js';
import './hooks/useDialogEsc.js';
import '../_chunks/dep-80f26a18.js';
import './hooks/useLockStyle.js';
import '../_chunks/dep-a53ee0b4.js';
import '../_chunks/dep-2208187b.js';
import './hooks/useDialogPosition.js';
import './hooks/useDialogDrag.js';
import './utils.js';
import '../hooks/useDefaultProps.js';
import '../hooks/useAttach.js';
import 'tdesign-icons-react';
import '../button/index.js';
import '../button/Button.js';
import '../hooks/useDomRefCallback.js';
import '../hooks/useRipple.js';
import '../_chunks/dep-8c2d2a8b.js';
import '../hooks/useAnimation.js';
import '../loading/index.js';
import '../loading/Loading.js';
import '../loading/gradient.js';
import '../loading/defaultProps.js';
import '../loading/plugin.js';
import '../_util/react-render.js';
import '../_chunks/dep-52d831fb.js';
import '../common/PluginContainer.js';
import '../button/defaultProps.js';
import '../_util/parseTNode.js';
import '../hooks/useGlobalIcon.js';

var Dialog = Dialog$1;
var DialogCard = DialogCard$1;
var dialog = DialogPlugin$1;
var DialogPlugin = DialogPlugin$1;

export { Dialog, DialogCard, DialogPlugin, Dialog as default, dialog };
//# sourceMappingURL=index.js.map
