/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

import { useRef, useEffect } from 'react';

function usePrevious(state) {
  var ref = useRef(null);
  useEffect(function () {
    ref.current = state;
  }, [state]);
  return ref.current;
}

export { usePrevious as default };
//# sourceMappingURL=usePrevious.js.map
