/**
 * tdesign v1.13.1
 * (c) 2025 tdesign
 * @license MIT
 */

import { TagFunction } from './Tag.js';
import CheckTag$1 from './CheckTag.js';
import CheckTagGroup$1 from './CheckTagGroup.js';
import forwardRefWithStatics from '../_util/forwardRefWithStatics.js';
import '../_chunks/dep-4d3bcd6b.js';
import '../_chunks/dep-b703e6a4.js';
import '../_chunks/dep-3be76470.js';
import 'react';
import 'classnames';
import 'tdesign-icons-react';
import 'tinycolor2';
import '../_util/noop.js';
import '../hooks/useConfig.js';
import '../config-provider/ConfigContext.js';
import 'lodash-es';
import '../_chunks/dep-ee1d6f73.js';
import '../_chunks/dep-25abb26d.js';
import 'dayjs';
import '../hooks/useGlobalIcon.js';
import './defaultProps.js';
import '../hooks/useDefaultProps.js';
import '../_chunks/dep-5965bf34.js';
import '../_chunks/dep-8780bcdf.js';
import '../_chunks/dep-2f4c0dc3.js';
import '../hooks/useControlled.js';
import 'hoist-non-react-statics';

var Tag = forwardRefWithStatics(TagFunction, {
  CheckTag: CheckTag$1,
  CheckTagGroup: CheckTagGroup$1
});
Tag.displayName = "Tag";
var CheckTag = CheckTag$1;
var CheckTagGroup = CheckTagGroup$1;

export { CheckTag, CheckTagGroup, Tag, Tag as default };
//# sourceMappingURL=index.js.map
